Process inbound email

Process inbound email. See the OpenAPI-defined parameters, request body, and responses below.

POST /Conversation/email

Process inbound email. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint recebe e e-mails e envia para o Agente de IA responder.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: ConversationEmailDto

PropertyTypeRequiredDescriptionConstraints
fromstringNo—nullable
bodystringNo—nullable
tostringNo—nullable
subjectstringNo—nullable
ccEmailsstringNo—nullable

Example request

curl --request POST \
  --url 'https://api.zild.ai/Conversation/email' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "from": "string",
  "body": "string",
  "to": "string",
  "subject": "string",
  "ccEmails": "string"
}'

Responses

StatusDescriptionResponse body
200Mensagem processada com sucessoNo response body is defined.

Data models

ConversationEmailDto
PropertyTypeRequiredDescriptionConstraints
fromstringNo—nullable
bodystringNo—nullable
tostringNo—nullable
subjectstringNo—nullable
ccEmailsstringNo—nullable